jQuery(document).ready(function($) {
    // Sync users
    jQuery('#sync-users-btn').on('click', function(){
        jQuery.ajax({
            url: philiaSync.ajax_url,
            data: { action: 'philia_sync_users', sync_nonce: philiaSync.sync_nonce },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#sync-users-result').html( philiaSync.wait_text );
            },
            success: function(response) {
                console.log(response);
                jQuery('#sync-users-result').html( response.message );
                jQuery('#user-created-date').html( response.data.created_at );
                jQuery('#user-updated-date').html( response.data.updated_at );
                jQuery('#user-status').html( response.data.status );
                jQuery('#user-errors').html( response.data.errors );
                jQuery('#sync-users-btn').prop('disabled', true );
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

    // Sync products categories
    jQuery('#sync-products-categories-btn').on('click', function(){
        jQuery.ajax({
            url: philiaSync.ajax_url,
            data: { action: 'philia_sync_products_categories', sync_nonce: philiaSync.sync_nonce },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#sync-products-categories-result').html( philiaSync.wait_text );
            },
            success: function(response) {
                console.log(response);
                jQuery('#sync-products-categories-result').html( response.message );
                jQuery('#product-category-created-date').html( response.data.created_at );
                jQuery('#product-category-updated-date').html( response.data.updated_at );
                jQuery('#product-category-status').html( response.data.status );
                jQuery('#product-category-errors').html( response.data.errors );
                jQuery('#sync-products-categories-btn').prop('disabled', true );
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

    // Sync products
    jQuery('#sync-products-btn').on('click', function(){
        jQuery.ajax({
            url: philiaSync.ajax_url,
            data: { action: 'philia_sync_products', sync_nonce: philiaSync.sync_nonce },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#sync-products-result').html( philiaSync.wait_text );
            },
            success: function(response) {
                console.log(response);
                jQuery('#sync-products-result').html( response.message );
                jQuery('#product-created-date').html( response.data.created_at );
                jQuery('#product-updated-date').html( response.data.updated_at );
                jQuery('#product-status').html( response.data.status );
                jQuery('#product-errors').html( response.data.errors );
                jQuery('#sync-products-btn').prop('disabled', true );
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

    // Sync orders
    jQuery('#sync-orders-btn').on('click', function(){
        jQuery.ajax({
            url: philiaSync.ajax_url,
            data: { action: 'philia_sync_orders', sync_nonce: philiaSync.sync_nonce },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#sync-orders-result').html( philiaSync.wait_text );
            },
            success: function(response) {
                console.log(response);
                jQuery('#sync-orders-result').html( response.message );
                jQuery('#order-created-date').html( response.data.created_at );
                jQuery('#order-updated-date').html( response.data.updated_at );
                jQuery('#order-status').html( response.data.status );
                jQuery('#order-errors').html( response.data.errors );
                jQuery('#sync-orders-btn').prop('disabled', true );
            },
            error: function(error) {
                console.log(error);
            }
        });
    });
});