jQuery(document).ready(function($) {
    // Function to handle adding new rows
    $(document).on('click', '.field-add-row', function(e) {
        e.preventDefault();
        
        // Find the closest field row (either field_1 or field_2)
        let $fieldRow = $(this).closest('.field-row');
        let $section = $fieldRow.find('.field-section');
        
        // Clone the input fields, clear values, and set up delete button
        let $newRow = $section.last().clone();
        $newRow.find('input[type="text"]').val(''); // Clear input values
        
        // Change the button text and set a new class for deleting
        $newRow.find('button')
            .text( philiaFields.delete_text )
            .attr('name', 'field-delete-row')
            .removeClass('field-add-row')
            .addClass('field-delete-row');
        
        // Append the new row to the section
        $fieldRow.append($newRow);
    });

    // Function to handle deleting rows
    $(document).on('click', '.field-delete-row', function(e) {
        e.preventDefault();
        
        // Remove the row if there's more than one in the section
        let $section = $(this).closest('.field-section');
        $section.remove();
    });
    
    $('.philia-media-upload').on('click', function(e) {
        e.preventDefault();

        var target = $(this).data('target');
        var mediaUploader;

        // If the uploader object already exists, reopen it
        if (mediaUploader) {
            mediaUploader.open();
            return;
        }

        // Create the media uploader
        mediaUploader = wp.media({
            title: philiaFields.upload_title,
            button: {
                text: philiaFields.upload_button
            },
            multiple: false
        });

        // When a file is selected, grab the URL and set it as the input field's value
        mediaUploader.on('select', function() {
            var attachment = mediaUploader.state().get('selection').first().toJSON();
            $('#' + target).val(attachment.url);
        });

        // Open the uploader
        mediaUploader.open();
    });
});